
Ruby - Feature #5434

Allow per-class whitelisting of methods safe to expose through DRb

10/11/2011 01:11 PM - shyouhei (Shyouhei Urabe)

Status: Assigned   

Priority: Normal   

Assignee: seki (Masatoshi Seki)   

Target version:    

Description

We have following pull-request.

https://github.com/ruby/ruby/pull/50

How do you feel?  I can merge this if you are OK.

History

#1 - 10/11/2011 11:23 PM - Anonymous

えっと、ブラックリストもそうなんですけど

ホワイトリスト以外のメソッドも工夫したら

すり抜けられると思いますけどどうしますか？

うっかりミスを防ぐことはできるから

宣言としての効果があるという意味でしょうか。

盲腸みたいなもんでこの辺はなかったことにしたい

ので入れたくないですが、積極的に反対を表明する

元気もない感じ...。

On 2011/10/11, at 13:11, Shyouhei Urabe wrote:

Issue #5434 has been reported by Shyouhei Urabe.

Feature #5434: Allow per-class whitelisting of methods safe to expose through DRb

http://redmine.ruby-lang.org/issues/5434

Author: Shyouhei Urabe

Status: Assigned

Priority: Normal

Assignee: Masatoshi Seki

Category: lib

Target version: 1.9.4

We have following pull-request.

https://github.com/ruby/ruby/pull/50

How do you feel?  I can merge this if you are OK.

--

http://redmine.ruby-lang.org

#2 - 07/16/2012 10:26 PM - ayumin (Ayumu AIZAWA)

- Target version changed from 1.9.4 to 2.0.0

#3 - 10/27/2012 06:23 AM - ko1 (Koichi Sasada)

- Target version changed from 2.0.0 to 2.6

I changed target to next minor because no discussion on it

#4 - 11/19/2012 07:11 AM - zzak (zzak _)
- File 5434.patch added

Adding Mohamed's patch from github.

#5 - 12/25/2017 06:15 PM - naruse (Yui NARUSE)

- Target version deleted (2.6)

Files

5434.patch 5.04 KB 11/19/2012 zzak (zzak _)
